% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lgb.Booster.R
\name{lgb.save}
\alias{lgb.save}
\title{Save LightGBM model}
\usage{
lgb.save(booster, filename, num_iteration = NULL)
}
\arguments{
\item{booster}{Object of class \code{lgb.Booster}}

\item{filename}{saved filename}

\item{num_iteration}{number of iteration want to predict with, NULL or <= 0 means use best iteration}
}
\value{
booster
}
\description{
Save LightGBM model
}
\examples{
\dontrun{
  library(lightgbm)
  data(agaricus.train, package='lightgbm')
  train <- agaricus.train
  dtrain <- lgb.Dataset(train$data, label=train$label)
  data(agaricus.test, package='lightgbm')
  test <- agaricus.test
  dtest <- lgb.Dataset.create.valid(dtrain, test$data, label=test$label)
  params <- list(objective="regression", metric="l2")
  valids <- list(test=dtest)
  model <- lgb.train(params, dtrain, 100, valids, min_data=1, learning_rate=1, early_stopping_rounds=10)
  lgb.save(model, "model.txt")
}
}

